#include <stdio.h>
#include <math.h>
#include <iostream>
using namespace std;

int main()
{
    long long a,b,c,a1,b1,c1,maxbr,najveci,najmanji,srednji,as=0,bs=0,cs=0,smax;
    scanf("%lld%lld%lld",&a,&b,&c);
    najveci=max(a,b);
    najveci=max(najveci,c);
    najmanji=min(a,b);
    najmanji=min(najmanji,c);
    if (a==b)
        srednji=a;
    else if (b==c)
        srednji=b;
    else if (a==c)
        srednji=c;
    else if (a>najmanji&&a<najveci)
        srednji=a;
    else if (b>najmanji&&b<najveci)
        srednji=b;
    else if (c>najmanji&&c<najveci)
        srednji=c;
    a1=a;
    b1=b;
    c1=c;
    for (int ax=a;ax>0;)
    {
        ax/=10;
        as++;
    }
    for (int bx=b;bx>0;)
    {
        bx/=10;
        bs++;
    }
    for (int cx=c;cx>0;)
    {
        cx/=10;
        cs++;
    }
    smax=max(as,bs);
    smax=max(smax,cs);
    for (;as<smax;as++)
        a1*=10;
    for (;bs<smax;bs++)
        b1*=10;
    for (;cs<smax;cs++)
        c1*=10;
    if (a1==b1&&b1==c1)
    {
        printf("%lld%lld%lld",najmanji,srednji,najveci);
    }
    if (a1==b1&&c1>a1)
    {
        printf("%lld%lld%lld",c,min(a,b),max(a,b));
    }
    if (a1==b1&&c1<a1)
    {
        printf("%lld%lld%lld",min(a,b),max(a,b),c);
    }
    if (a1==c1&&b1>a1)
    {
        printf("%lld%lld%lld",b,min(a,c),max(a,c));
    }
    if (a1==c1&&b1<a1)
    {
        printf("%lld%lld%lld",min(a,c),max(a,c),b);
    }
    if (b1==c1&&a1>b1)
    {
        printf("%lld%lld%lld",a,min(b,c),max(b,c));
    }
    if (b1==c1&&b1>a1)
    {
        printf("%lld%lld%lld",min(b,c),max(b,c),a);
    }
    if (a1>b1&&b1>c1)
    {
        printf("%lld%lld%lld",a,b,c);
    }
    if (a1>c1&&c1>b1)
    {
        printf("%lld%lld%lld",a,c,b);
    }
    if (b1>c1&&c1>a1)
    {
        printf("%lld%lld%lld",b,c,a);
    }
    if (b1>a1&&a1>c1)
    {
        printf("%lld%lld%lld",b,a,c);
    }
    if (c1>a1&&a1>b1)
    {
        printf("%lld%lld%lld",c,a,b);
    }
    if (c1>b1&&b1>a1)
    {
        printf("%lld%lld%lld",c,b,a);
    }
    return 0;
}